/* SetProtection.c   V1.0   93-03-15                        */
/* ROM library: "dos.library/SetProtection", (All versions) */
/* Copyright 1993, Anders Bjerin, Amiga C Club              */

#include <dos/dos.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

UBYTE *version = "$VER: SetProtection 1.0";

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  BOOL ok;


  /* Protect the file: (We set the FIBF_DELETE */
  /* flag which will remove the "d" bit.)      */
  ok = SetProtection( "RAM:HighScore.dat", FIBF_DELETE );

  /* OK? */
  if( ok )
    printf( "File protected!\n" );
  else
    printf( "Error! Could not protect the file!\n" );

  exit( 0 );
}


